<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>List Users</title>
  </head>

  <body>
    <div class="container">
      <h2 class="text-center my-4">Danh sách người dùng đăng ký</h2>
      <table
        id="table-users"
        class="table table-striped table-bordered table-hover"
      >
        <thead>
          <tr>
            <th scope="col">STT</th>
            <th scope="col">Album</th>
            <th scope="col">Title</th>
            <th scope="col">Url Ảnh</th>
            <th scope="col">Thumbail</th>
          </tr>
        </thead>
        <tbody></tbody>
      </table>
    </div>
  </body>
  <script>
    // Region 1

    // Region 2
    $(document).ready(function () {
      onPageLoading();
    });

    // Region 3
    function onPageLoading() {
      // lay Du lieu tu API
      getDataFromAPI();
    }

    // Region 4
    function getDataFromAPI() {
      $.ajax({
        url: "https://jsonplaceholder.typicode.com/albums/3/photos",
        type: "GET",
        dataType: "json", // added data type
        success: function (res) {
          //console.log(res);
          loadDataToTable(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
          return false;
        },
      });
    }

    function loadDataToTable(paramResponse) {
      console.log(paramResponse);
      var vTableUsers = $("#table-users");
      for (var bI = 0; bI < paramResponse.length; bI++) {
        var vTr = $("<tr>").appendTo(vTableUsers);
        $("<td>", { html: paramResponse[bI].id }).appendTo(vTr);
        $("<td>", { html: paramResponse[bI].albumId }).appendTo(vTr);
        $("<td>", { html: paramResponse[bI].title }).appendTo(vTr);
        $("<td>", { html: paramResponse[bI].url }).appendTo(vTr);
        $("<td>")
          .html(`<img src="${paramResponse[bI].thumbnailUrl}" alt="Thumbnail">`)
          .appendTo(vTr);
      }
    }
  </script>
</html>
